import type { NextConfig } from 'next'
import createNextIntlPlugin from 'next-intl/plugin'
import packageJson from './package.json'

const path = require('path');

const projectRoot = process.env.PROJECT_ROOT || process.cwd()

const withNextIntl = createNextIntlPlugin('./src/config/i18n.config.ts')

const nextConfig: NextConfig = {
	reactStrictMode: false,
  webpack: (config, { isServer }) => {
    // Разрешаем импорт из проекта пользователя
    config.resolve.modules = [
      path.resolve(process.env.PROJECT_ROOT || process.cwd()),
      'node_modules',
      ...config.resolve.modules,
    ];

    // Добавляем поддержку TypeScript из проекта
    config.resolve.extensions = ['.tsx', '.ts', '.jsx', '.js', '.json'];

    return config;
  },
  // Отключаем строгую проверку для файлов вне SDK
  typescript: {
    ignoreBuildErrors: true,
  },
	env: {
		NEXT_PUBLIC_APP_VERSION: packageJson.version,
	}
}

export default withNextIntl(nextConfig)
